%define upstream_name    LWP-MediaTypes
%define upstream_version 6.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Media types and mailcap processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides functions for handling media (also known as MIME)
types and encodings. The mapping from file extensions to media types is
defined by the _media.types_ file. If the _~/.media.types_ file exists it
is used instead. For backwards compatibility we will also look for
_~/.mime.types_.

The following functions are exported by default:

* guess_media_type( $filename )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 6.40.0-2.mga8
+ Revision: 1523991
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Mar 20 2019 tv <tv> 6.40.0-1.mga7
+ Revision: 1379266
- update to 6.04

* Wed Sep 19 2018 umeabot <umeabot> 6.20.0-8.mga7
+ Revision: 1269057
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 6.20.0-7.mga6
+ Revision: 1029488
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.20.0-6.mga6
+ Revision: 943546
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.20.0-5.mga5
+ Revision: 740800
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.20.0-4.mga5
+ Revision: 685182
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.20.0-3.mga4
+ Revision: 512585
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.20.0-2.mga3
+ Revision: 368916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.20.0-1.mga2
+ Revision: 212978
- update to 6.02

* Mon Feb 28 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 61477
- imported package perl-LWP-MediaTypes


* Mon Feb 28 2011 cpan2dist 6.01-1mga
- initial mageia release, generated with cpan2dist
